FITSPNG(1)

NAME
fitspng - FITS to PNG converter.

SYNOPSIS
fitspng [options] file(s)

DESCRIPTION
Fitspng is an utility intended to convert of images in astronomical FITS format into PNG format.

FITS format is a general purpose astronomical format which stores measurements of physical quantities. FITS images represents an angular distribution of captured photon events, or intensity of light. Fitspng provides visualisation of FITS images by converting them to PNG format.

The detailed description can be found on the page: https://integral.physics.muni.cz/fitspng

OPTIONS

-f [asinh|snlike|sqr|tanh|photo]
    Scale output intensities by the specified profile.

-r q,v
    Relative pre-scaling mode: q, v represents quantiles of a background (sky) and v relative sensitivity.

-l B,s
    Absolute pre-scaling mode: B, s are directly used for scaling of the output frame.

-S c
    The colour saturation is multiplied by the given ratio (for colour FITS only).

-n Y,w
    When used, switch-on mode which emulates humans night vision. It is useful only for colour FITS.

-s s
    Shrink image: scale down the size of image by the specified factor s as a (non-zero) positive integer number. If the s factor is greater of one, any output pixel is constructed as arithmetic mean of s*s input pixels.

-o  Specify an output file name, valid only if a single file is passed.

    If this switch is omitted, the output filename is determined by modification of input filenames: suffixes, like *.fits, are replaced by *.png, and the directory path is removed. The approach leaves original data untouched, results are stored in current working directory.

-B [8|16]
    8 bites per pixel of colour (grey) depth of output. This is default. 16 bites per pixel of colour (grey) depth of output. There is frequently problem with additional rendering. Most of utilities doesn't work with this colour depth correctly. On the other side, 16 bit per pixel images has saved photometric content.

-v  Print additional info during processing.

--help
    Show summary of options.

--version
    Display software version.

EXAMPLES
Convert an image from FITS to PNG:
    $ fitspng -o grey.png grey.fits

Emulate human's night vision:
    $ fitspng -n 1e6,1 -o scotopic.png colour.fits

Emulate classical photography sensitivity function (density curve):
    $ fitspng -f photo -o photo.png colour.fits

Create semi-grey image:
    $ fitspng -S 0.2 -o reduced.png colour.fits

Select the specified band from colour FITS (with help of FITS file name extension):
    $ fitspng -o green.png "colour.fits[1]"

Create thumbnails:
    $ fitspng -s 10 *.fits

AUTHOR
Filip Hroch <hroch@physics.muni.cz>

SEE ALSO
rawtran(1)

[1] https://integral.physics.muni.cz/fitspng

[2] http://www.libpng.org/pub/png/

[3] https://integral.physics.muni.cz/rawtran

[4] https://munipack.physics.muni.cz/